Bug 518780 - Network Device Control menu command not functional due to system-control-network crash
Summary: Network Device Control menu command not functional due to system-control-netw...
Keywords:
Status: CLOSED DUPLICATE of bug 470203
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 10
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 18:44 UTC by Nick Levinson
Modified: 2009-08-26 15:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 22:35:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 592352 None None None Never

Description Nick Levinson 2009-08-22 18:44:41 UTC
Description of problem:
Menu command is nonresponsive in nonroot.

Version-Release number of selected component (if applicable):
Component and its version are unknown. I only guessed at the former.

How reproducible:


Steps to Reproduce:
1. Log into a nonroot account.
2. Main Menu > System > Administration > Network Device Control. (In a nonroot account, nothing responds to the menu command; I don't know why it doesn't request root authorization.)
  
Actual results:
No response.

Expected results:
Dialog requesting root authorization or Network Device Control dialog.

Additional info:
--- I've enabled GUI root access.
--- The Gnome version is 2.24.1.
--- A Gnome Bugzilla commenter thinks the problem is with Fedora.

Comment 1 Christoph Wickert 2009-08-25 14:38:40 UTC
(In reply to comment #0)
> Component and its version are unknown. I only guessed at the former.

Unfortunately your guess was wrong. menu-cache is a menu-caching mechanism that is used by lxpanel and lxlauncher. It's only used in LXDE and has nothing to do with Gnome.

To find out the component:
1. Right click on menu heading in the panel -> Edit Menus
2. Right click the entry -> Properties
3. The command that is run is "/usr/bin/system-control-network"
4. $ rpm -qf /usr/bin/system-control-network
system-config-network-1.5.95-1.fc10.noarch

So the component is system-config-network and the version 1.5.95-1.fc10.

> Steps to Reproduce:
> 1. Log into a nonroot account.
> 2. Main Menu > System > Administration > Network Device Control. (In a nonroot
> account, nothing responds to the menu command; I don't know why it doesn't
> request root authorization.)

Please run system-control-network in a terminal to get an error message. Post it in this bug report.
 
> Expected results:
> Dialog requesting root authorization or Network Device Control dialog.

This is not the expected behavior. system-control-network is supposed to be run by users for user manageable devices. Run system-config-network and check "Allow all users do enable or disable the device" on a particular device.

> Additional info:
> --- I've enabled GUI root access.

Please don't do this, it's disabled on purpose.

Comment 2 Christoph Wickert 2009-08-25 16:04:52 UTC
*** Bug 518777 has been marked as a duplicate of this bug. ***

Comment 3 Nick Levinson 2009-08-25 16:47:45 UTC
The version is 1.5.93, per the dialog's Info button, not the 1.5.95-1.fc10 you found. I should have thought of getting it via root GUI. Thanks for researching it.

The following settings were already selected (checkmarked or radio option set) for each network interface, eth1 active (it's in use) and eth0 inactive (hardware not connected) in root and nonroot (Network Device Control in root showed no devices at all twice although I'm on wireless, so I went to System > Administration > Network command = Network Configuration dialog and checked Edit for each interface, both being already in the current profile and after that Network Device Control reopened still showed no interfaces) (nautilus refused to run twice but probably wasn't needed for the moment so I didn't reboot):
--- Allow all users to enable and disable the device (checkmarked)
--- Controlled by NetworkManager (checkmarked)
--- Activate device when computer starts (checkmarked)
--- Automatically obtain IP address settings with (radio option set) (menu:) dhcp

Since I as nonroot should already have been able to enable/disable eth1, the dialog or an auth dialog should have come up, I think.

Terminal's results, in full:
[nick@localhost ~]$ /usr/bin/system-control-network

Traceback (most recent call last):

  File "/usr/bin/system-control-network", line 536, in <module>

    window = mainDialog()

  File "/usr/bin/system-control-network", line 130, in __init__

    self.devicelist = self.getProfDeviceList()

  File "/usr/bin/system-control-network", line 453, in getProfDeviceList

    profilelist = getProfileList(refresh)

  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 669, in getProfileList

    __PFList.load()

  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 90, in load

    self.loadprof(pr, profdir)                

  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 104, in loadprof

    devicelist = NCDeviceList.getDeviceList()

  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 327, in getDeviceList

    __DVList.load()

  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 87, in load

    newdev.load(dev)

  File "/usr/share/system-config-network/netconfpkg/plugins/NCPluginDevWireless.py", line 44, in load

    conf.write()

  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 128, in write

    ConfShellVar.ConfShellVar.write(self)

  File "/usr/share/system-config-network/netconfpkg/conf/Conf.py", line 329, in write

    mfile = open(self.filename, 'w', -1)

IOError: [Errno 13] Permission denied: '//etc/sysconfig/networking/devices/ifcfg-eth1'

[nick@localhost ~]$ 

[nick@localhost ~]$ 



Thanks for figuring out the component and version. I tried the method you described and went through the resulting dialog but didn't find Properties to right- (or left-) click. My F10 installation is fairly close to a default installation. You probably looked at a similar install with automatic upgrades, but I turned automatic upgrading off, since they make knowing what I have difficult, and, so far, F10 is well outperforming FC4, my previous Linux installation.

I need GUI root access, because without it, to solve many kinds of problems, I wouldn't know what terminal commands are equivalent to menu commands or what terminal-entry program options are equivalent to programs' GUI menu commands. The latter are sometimes, perhaps always, available via man [program], but, as far as I know, there's no list of the former, and therefore I'd be running a broken Linux or no Linux. Fortunately, I don't need root often.

Thank you. I hope this helps with diagnosis; let me know what else you need.

-- 
Nick

Comment 4 Christoph Wickert 2009-08-25 22:35:35 UTC
(In reply to comment #3)
> The version is 1.5.93, per the dialog's Info button, not the 1.5.95-1.fc10 you
> found.

Then please update and tell us if you still have problems. 1.5.95 fixes your problem, see bug 470203.

> My F10 installation is fairly close to a default
> installation. You probably looked at a similar install with automatic upgrades,
> but I turned automatic upgrading off, 

If you are afraid of things happening automatically you can still do the updates manually with 'gpk-update-viewer' or 'yum update'. Before reporting a bug please always update the affected component to the latest version, to see if your bug was fixed in the meantime. In this case you would run 'yum update system-config-network'.

Reopen this bug if your problems still persist after the update. Thanks for your report.

*** This bug has been marked as a duplicate of bug 470203 ***

Comment 5 Nick Levinson 2009-08-26 15:08:12 UTC
Since you report that the later version did fix the problem and since I have a kludge, I'll leave my installation alone and won't reopen this Bug.

General-principle updates risk new errors, so I minimize doing them. For example, I prefer to install an entire distro cleanly, and I turn off networking at the hardware level during most of the installation process.

Thanks again.

-- 
Nick


Note You need to log in before you can comment on or make changes to this bug.